VBAM(6)

NAME
vbam - manual page for VisualBoy Advance-M

DESCRIPTION
vbam [option ...] file

OPTIONS

-O, --opengl=MODE
    Set OpenGL texture filter

--no-opengl
    0 - Disable OpenGL

--opengl-nearest
    1 - No filtering

--opengl-bilinear
    2 - Bilinear filtering

-F, --fullscreen
    Full screen

-G, --gdb=PROTOCOL
    GNU Remote Stub mode: tcp - use TCP at port 55555, tcp:PORT - use TCP at port PORT, pipe - use pipe transport

-I, --ifb-filter=FILTER
    Select interframe blending filter: 0 - No interframe blending, 1 - Interframe motion blur, 2 - Smart interframe blending

-N, --no-debug
    Don't parse debug information

-S, --flash-size=SIZE
    Set the Flash size

--flash-64k
    0 - 64K Flash

--flash-128k
    1 - 128K Flash

-T, --throttle=THROTTLE
    Set the desired throttle (5...1000)

-b, --bios=BIOS
    Use given bios file

-c, --config=FILE
    Read the given configuration file

-d, --debug
    Enter debugger

-f, --filter=FILTER
    Select filter: 0 - Stretch 1x, 1 - Stretch 2x, 2 - 2xSaI, 3 - Super 2xSaI, 4 - Super Eagle, 5 - Pixelate, 6 - Motion Blur, 7 - AdvanceMAME Scale2x, 8 - Bilinear, 9 - Bilinear Plus, 10 - Scanlines, 11 - TV Mode, 12 - lq2x, 13 - hq2x, 14 - Stretch 3x, 15 - hq3x, 16 - Stretch 4x, 17 - hq4x

-h, --help
    Print an help screen

-i, --ips=PATCH
    Apply given IPS patch

-p, --profile=[HERTZ]
    Enable profiling

-s, --frameskip=FRAMESKIP
    Set frame skip (0...9)

-t, --save-type=TYPE
    Set the available save type

--save-auto
    0 - Automatic (EEPROM, SRAM, FLASH)

--save-eeprom
    1 - EEPROM

--save-sram
    2 - SRAM

--save-flash
    3 - FLASH

--save-sensor
    4 - EEPROM+Sensor

--save-none
    5 - NONE

-v, --verbose=VERBOSE
    Set verbose logging (trace.log): 1 - SWI, 2 - Unaligned memory access, 4 - Illegal memory write, 8 - Illegal memory read, 16 - DMA 0, 32 - DMA 1, 64 - DMA 2, 128 - DMA 3, 256 - Undefined instruction, 512 - AGBPrint messages

  Long options only:

--agb-print
    Enable AGBPrint support

--auto-frameskip
    Enable auto frameskipping

--no-agb-print
    Disable AGBPrint support

--no-auto-frameskip
    Disable auto frameskipping

--no-ips
    Do not apply IPS patch

--no-pause-when-inactive
    Don't pause when inactive

--no-rtc
    Disable RTC support

--no-show-speed
    Don't show emulation speed

--no-throttle
    Disable throttle

--pause-when-inactive
    Pause when inactive

--rtc
    Enable RTC support

--show-speed-normal
    Show emulation speed

--show-speed-detailed
    Show detailed speed data